## MacPorts-2.11.2.tar.bz2

=== tests/test/arch-test/DESCRIPTION ===
This test checks that the architecture checks in the test phase work
correctly. The portfile is tested with each combination of its
variants, which make it declare itself noarch and install no
architecture-specific files. Two combinations should produce warnings,
the other two should not.

=== tests/test/variants/DESCRIPTION ===
This test checks the variants feature in general.

There is 1 test case.

=== tests/test/case-insensitive-deactivate/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem      1.0

name            casesensitive
version         1
categories      test
maintainers     raimue
description     Test port for case sensitive port uninstalls
homepage        https://www.macports.org/
platforms       darwin
supported_archs noarch
configure.cxx_stdlib

long_description ${description}

distfiles
use_configure   no
build           {}
destroot        {
    xinstall -d ${destroot}${prefix}/var/test
    system "touch ${destroot}${prefix}/var/test/case"
}

=== tests/test/dependencies-b/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem      1.0

name            dependencies-b
version         1
categories      test
maintainers     pguyot@kallisys.net
description     Test port for dependencies
homepage        https://www.macports.org/
platforms       darwin
supported_archs noarch
configure.cxx_stdlib

long_description ${description}

distfiles
use_configure   no
build           {}
destroot {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    # testing consists in processing dependencies
}

=== tests/test/statefile-version1/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem          1.0
name                statefile-version1
version             1
categories          test
maintainers         cal
description         Test port for current statefiles, version 1
homepage            https://www.macports.org/
platforms           darwin
supported_archs     noarch
configure.cxx_stdlib

long_description    ${description}

distfiles

fetch               {}
extract             {}
use_configure       no
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}
